plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
//    id 'kotlin-kapt'
}

android {
    namespace 'com.waytous.anticollision'
    compileSdk 33

    defaultConfig {
        applicationId "com.waytous.anticollision"
        minSdk 21
        targetSdk 33
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding true
        dataBinding true
    }
    packagingOptions {
        exclude'META-INF/io.netty.versions.properties'
    }
}

dependencies {

    implementation 'androidx.core:core-ktx:1.7.0'
    implementation 'androidx.appcompat:appcompat:1.4.1'
    implementation 'com.google.android.material:material:1.5.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.3'
    implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.4.1'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.5.0'
    implementation 'androidx.navigation:navigation-fragment-ktx:2.4.1'
    implementation 'androidx.navigation:navigation-ui-ktx:2.4.1'
    implementation 'com.squareup.okhttp3:okhttp:4.10.0'
    implementation 'com.mapbox.maps:android:10.11.0'
    implementation 'com.mapbox.mapboxsdk:mapbox-sdk-geojson:6.9.0'
    implementation 'io.netty:netty-buffer:4.1.87.Final'
    implementation 'io.github.toggery:jt808-codec:2.0.3'
    implementation 'com.blankj:utilcodex:1.31.1'
    implementation 'org.jetbrains.kotlin:kotlin-reflect:1.7.20'
    implementation 'com.geyifeng.immersionbar:immersionbar:3.2.2'
    implementation 'com.github.mik3y:usb-serial-for-android:3.5.1'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'io.github.razerdp:BasePopup:3.2.1'
//    implementation 'com.github.JessYanCoding:AndroidAutoSize:v1.2.1'
    implementation 'com.google.android.exoplayer:exoplayer:2.17.1'

    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
}